/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di  sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_ICT_Microdati_2015_ESEMPIO_STRUTTURA_FILE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.ICT_A2015;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
Codice :5.   /*  Codice progressivo */
Ricavi :9.   /*  Classe di ricavi da vendita di beni e servizi */
A1 :1.   /*  Utilizzo di computer nell'Impresa */
A2 :8.4   /*  Percentuale di addetti usano computer */
B1 :1.   /*  Impiego di addetti specialisti in materie informatiche */
B2a :1.   /*  Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT */
B2b :1.   /*  Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT */
B3 :1.   /*  Ha assunto o ha provato ad assumere specialisti ICT */
B4 :1.   /*  Difficolt a coprire i posti vacanti per specialisti ICT */
B5a :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT */
B5b :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio */
B5c :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale */
B5d :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale */
B5e :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web */
B5f :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web */
B5g :1.   /*  Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati */
C1 :1.   /*  Connessione ad Internet */
C2 :8.4   /*  Percentuale di addetti usano computer connessi Internet */
C3 :1.   /*  Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax */
C4 :1.   /*  Velocit max download connessione fissa in banda larga */
C5 :1.   /*  Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G) */
C6 :8.4   /*  Percentuale di addetti provvisti di dispositivi portatili forniti dall'impresa che permettono la connessione mobile ad Internet (in banda larga o meno) */
C7 :1.   /*  Sito web */
C8a :1.   /*  Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line) */
C8b :1.   /*  Tracciabilit on line dellordine */
C8c :1.   /*  Accesso a cataloghi di prodotti o listini prezzi */
C8d :1.   /*  Possibilit di personalizzare i contenuti del sito per i visitatori abituali */
C8e :1.   /*  Possibilit per i visitatori del sito di personalizzare o progettare prodotti */
C8f :1.   /*  Avvertenze sulla politica in materia di privacy, marchio di certificazione della tutela della privacy o certificazione della sicurezza del sito */
C8g :1.   /*  Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line */
C8h :1.   /*  Collegamenti o riferimenti ai profili dellimpresa sui social media */
C8i :1.   /*  Possibilit di presentare on-line dei reclami (tramite email, modulo web, ecc.) */
C9a :1.   /*  Utilizzo Social Media (SM) per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer) */
C9b :1.   /*  Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly) */
C9c :1.   /*  Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare) */
C9d :1.   /*  Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze */
C10a :1.   /*  Sviluppare limmagine dellimpresa o dei suoi prodotti (ad es. per pubblicizzare prodotti) */
C10b :1.   /*  Raccogliere o rispondere a opinioni, recensioni e domande dei clienti */
C10c :1.   /*  Coinvolgere i clienti nello sviluppo o nellinnovazione di beni o servizi */
C10d :1.   /*  Collaborare con altre imprese partner (ad es. fornitori) o altre organizzazioni (ad es. Pubbliche Amministrazioni, altre organizzazioni non governative) */
C10e :1.   /*  Ricerca di personale */
C10f :1.   /*  Scambio di punti di vista, opinioni o conoscenze allinterno dellimpresa */
D1 :1.   /*  Utilizzo di servizi di cloud computing su Internet */
E1 :1.   /*  Utilizzo software ERP */
E2a :1.   /*  Utilizzo software CRM analitico */
E2b :1.   /*  Utilizzo software CRM operativo */
F1 :1.   /*  Condivisione elettronica informazioni sulla SCM */
F2a :1.   /*  Condivisione elettronica informazioni sulla SCM tramite web */
F2b :1.   /*  Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard */
G1 :1.   /*  Politica di sicurezza ICT formalmente definita */
G2a :1.   /*  Rischi trattati: distruzione o corruzione dei dati dovuti ad un attacco o un incidente inaspettato */
G2b :1.   /*  Rischi trattati: divulgazione di informazioni riservate a seguito di intrusioni, di attacchi come pharming, phishing o a seguito di un incidente */
G2c :1.   /*  Rischi trattati: indisponibilit dei servizi ICT a seguito di un attacco esterno (ad es. attacco del tipo blocco del servizio) */
G3 :1.   /*  Tempo definizione o revisione della politica di sicurezza ICT */
H2a :3.   /*  Invio fatture: percentuale in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML) */
H2b :3.   /*  Invio fatture: percentuale in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF) */
H2c :3.   /*  Invio fatture: percentuale  cartacee */
H3a :3.   /*  Ricezione fatture: percentuale  in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML) */
H3b :3.   /*  Ricezione fatture: percentuale in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee */
I1 :1.   /*  Ordini di vendita attraverso sito web */
I2 :2.   /*  Classe di valore percentuale degli ordini di vendita sito web */
I3a :3.   /*  Percentuale vendite attraverso sito web a consumatori privati (B2C) */
I3b :3.   /*  Percentuale vendite attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G) */
I4a :1.   /*  Area geografica del cliente web: Italia */
I4b :1.   /*  Area geografica del cliente web: Paesi EU */
I4c :1.   /*  Area geografica del cliente web: Resto del Mondo */
I5 :1.   /*  Ordini di vendita attraverso sistemi di tipo EDI */
I6 :2.   /*  Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI */
I7a :1.   /*  Area geografica del cliente Edi: Italia */
I7b :1.   /*  Area geografica del cliente Edi: Paesi EU */
I7c :1.   /*  Area geografica del cliente Edi: Resto del Mondo */
I8 :1.   /*  Acquisti tramite reti informatiche (sito web, extranet, Edi) */
I9 :1.   /*  Classe percentuale valore ordini di acquisto */
I10a :1.   /*  Area geografica del fornitore: Italia */
I10b :1.   /*  Area geografica del fornitore: Paesi EU */
I10c :1.   /*  Area geografica del fornitore: Resto del Mondo */
Ateco : $5.   /*  Ateco, classificazione Ateco2007 */
mac : $2.   /*  Macrosettore */
clad4 : $3.   /*  Classe addetti */
reg21 : $2.   /*  "21 reg amministrative (BZ=21; TN=22 )" */
dom1 : $3.   /*  Primo dominio di stima per la pubblicazione (per 27 attivit economiche) */
dom2 : $5.   /*  Secondo dominio di stima per la pubblicazione (mac per  clad4) */
dom3 : $4.   /*  Terzo dominio di stima per la pubblicazione (mac per reg21) */
dom4 : $6.   /*  Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951 */
coeffin :12.8   /*  Peso da utilizzare per riporto all'universo (Asia 2013) */
I2I6 :2.   /*  Classe di valore percentuale degli ordini di vendita online */
;
LABEL 
Codice = "Codice progressivo"
Ricavi = "Classe di ricavi da vendita di beni e servizi"
A1 = "Utilizzo di computer nell'Impresa"
A2 = "Percentuale di addetti usano computer"
B1 = "Impiego di addetti specialisti in materie informatiche"
B2a = "Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT"
B2b = "Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT"
B3 = "Ha assunto o ha provato ad assumere specialisti ICT"
B4 = "Difficolt a coprire i posti vacanti per specialisti ICT"
B5a = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT"
B5b = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio"
B5c = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale"
B5d = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale"
B5e = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web"
B5f = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web"
B5g = "Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati"
C1 = "Connessione ad Internet"
C2 = "Percentuale di addetti usano computer connessi Internet"
C3 = "Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax"
C4 = "Velocit max download connessione fissa in banda larga"
C5 = "Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G)"
C6 = "Percentuale di addetti provvisti di dispositivi portatili forniti dall'impresa che permettono la connessione mobile ad Internet (in banda larga o meno)"
C7 = "Sito web"
C8a = "Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)"
C8b = "Tracciabilit on line dellordine"
C8c = "Accesso a cataloghi di prodotti o listini prezzi"
C8d = "Possibilit di personalizzare i contenuti del sito per i visitatori abituali"
C8e = "Possibilit per i visitatori del sito di personalizzare o progettare prodotti"
C8f = "Avvertenze sulla politica in materia di privacy, marchio di certificazione della tutela della privacy o certificazione della sicurezza del sito"
C8g = "Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line"
C8h = "Collegamenti o riferimenti ai profili dellimpresa sui social media"
C8i = "Possibilit di presentare on-line dei reclami (tramite email, modulo web, ecc.)"
C9a = "Utilizzo Social Media (SM) per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)"
C9b = "Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly)"
C9c = "Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)"
C9d = "Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze"
C10a = "Sviluppare limmagine dellimpresa o dei suoi prodotti (ad es. per pubblicizzare prodotti)"
C10b = "Raccogliere o rispondere a opinioni, recensioni e domande dei clienti"
C10c = "Coinvolgere i clienti nello sviluppo o nellinnovazione di beni o servizi"
C10d = "Collaborare con altre imprese partner (ad es. fornitori) o altre organizzazioni (ad es. Pubbliche Amministrazioni, altre organizzazioni non governative)"
C10e = "Ricerca di personale"
C10f = "Scambio di punti di vista, opinioni o conoscenze allinterno dellimpresa"
D1 = "Utilizzo di servizi di cloud computing su Internet"
E1 = "Utilizzo software ERP"
E2a = "Utilizzo software CRM analitico"
E2b = "Utilizzo software CRM operativo"
F1 = "Condivisione elettronica informazioni sulla SCM"
F2a = "Condivisione elettronica informazioni sulla SCM tramite web"
F2b = "Condivisione elettronica informazioni sulla SCM tramite scambio in formato standard"
G1 = "Politica di sicurezza ICT formalmente definita"
G2a = "Rischi trattati: distruzione o corruzione dei dati dovuti ad un attacco o un incidente inaspettato"
G2b = "Rischi trattati: divulgazione di informazioni riservate a seguito di intrusioni, di attacchi come pharming, phishing o a seguito di un incidente"
G2c = "Rischi trattati: indisponibilit dei servizi ICT a seguito di un attacco esterno (ad es. attacco del tipo blocco del servizio)"
G3 = "Tempo definizione o revisione della politica di sicurezza ICT"
H2a = "Invio fatture: percentuale in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML)"
H2b = "Invio fatture: percentuale in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF)"
H2c = "Invio fatture: percentuale  cartacee"
H3a = "Ricezione fatture: percentuale  in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML)"
H3b = "Ricezione fatture: percentuale in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee"
I1 = "Ordini di vendita attraverso sito web"
I2 = "Classe di valore percentuale degli ordini di vendita sito web"
I3a = "Percentuale vendite attraverso sito web a consumatori privati (B2C)"
I3b = "Percentuale vendite attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)"
I4a = "Area geografica del cliente web: Italia"
I4b = "Area geografica del cliente web: Paesi EU"
I4c = "Area geografica del cliente web: Resto del Mondo"
I5 = "Ordini di vendita attraverso sistemi di tipo EDI"
I6 = "Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI"
I7a = "Area geografica del cliente Edi: Italia"
I7b = "Area geografica del cliente Edi: Paesi EU"
I7c = "Area geografica del cliente Edi: Resto del Mondo"
I8 = "Acquisti tramite reti informatiche (sito web, extranet, Edi)"
I9 = "Classe percentuale valore ordini di acquisto"
I10a = "Area geografica del fornitore: Italia"
I10b = "Area geografica del fornitore: Paesi EU"
I10c = "Area geografica del fornitore: Resto del Mondo"
Ateco = "Ateco, classificazione Ateco2007"
mac = "Macrosettore"
clad4 = "Classe addetti"
reg21 = " 21 reg amministrative (BZ=21; TN=22 ) "
dom1 = "Primo dominio di stima per la pubblicazione (per 27 attivit economiche)"
dom2 = "Secondo dominio di stima per la pubblicazione (mac per  clad4)"
dom3 = "Terzo dominio di stima per la pubblicazione (mac per reg21)"
dom4 = "Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951"
coeffin = "Peso da utilizzare per riporto all'universo (Asia 2013)"
I2I6 = "Classe di valore percentuale degli ordini di vendita online"
;
RUN;
PROC FORMAT;
VALUE Ric1F /* Ricavi */
0= "[0, 20000)"
20000= "[20000, 50000)"
50000= "[50000, 100000)"
100000= "[100000, 200000)"
200000= "[200000, 500000)"
500000= "[500000, 1000000)"
1000000= "[1000000, 2000000)"
2000000= "[2000000, 4000000)"
4000000= "[4000000, 5000000)"
5000000= "[5000000, 10000000)"
10000000= "[10000000, 20000000)"
20000000= "[20000000, 50000000)"
50000000= "[50000000, 200000000)"
200000000= "[200000000, + ?)"
;
VALUE A12F /* A1 */
.= "missing"
0= "no"
1= "si"
;
VALUE B14F /* B1 */
.= "missing"
0= "no"
1= "si"
;
VALUE B2a5F /* B2a */
.= "missing"
0= "no"
1= "si"
;
VALUE B2b6F /* B2b */
.= "missing"
0= "no"
1= "si"
;
VALUE B37F /* B3 */
.= "missing"
0= "no"
1= "si"
;
VALUE B48F /* B4 */
.= "missing"
0= "no"
1= "si"
;
VALUE B5a9F /* B5a */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE B5b10F /* B5b */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE B5c11F /* B5c */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE B5d12F /* B5d */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE B5e13F /* B5e */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE B5f14F /* B5f */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE B5g15F /* B5g */
.= "missing"
1= "interni"
2= "esterni"
3= "attivit non svolta"
;
VALUE C116F /* C1 */
.= "missing"
0= "no"
1= "si"
;
VALUE C318F /* C3 */
.= "missing"
0= "no"
1= "si"
;
VALUE C419F /* C4 */
.= "missing"
1= "Inferiore a  2Mbit/s"
2= "Compresa tra 2Mbit/s e meno di 10Mbit/s"
3= "Compresa tra 10Mbit/s e meno di 30Mbit/s"
4= "Compresa tra 30Mbit/s e meno di 100Mbit/s"
5= "Maggiore o uguale a 100 Mbit/s"
;
VALUE C520F /* C5 */
.= "missing"
0= "no"
1= "si"
;
VALUE C722F /* C7 */
.= "missing"
0= "no"
1= "si"
;
VALUE C8a23F /* C8a */
.= "missing"
0= "no"
1= "si"
;
VALUE C8b24F /* C8b */
.= "missing"
0= "no"
1= "si"
;
VALUE C8c25F /* C8c */
.= "missing"
0= "no"
1= "si"
;
VALUE C8d26F /* C8d */
.= "missing"
0= "no"
1= "si"
;
VALUE C8e27F /* C8e */
.= "missing"
0= "no"
1= "si"
;
VALUE C8f28F /* C8f */
.= "missing"
0= "no"
1= "si"
;
VALUE C8g29F /* C8g */
.= "missing"
0= "no"
1= "si"
;
VALUE C8h30F /* C8h */
.= "missing"
0= "no"
1= "si"
;
VALUE C8i31F /* C8i */
.= "missing"
0= "no"
1= "si"
;
VALUE C9a32F /* C9a */
.= "missing"
0= "no"
1= "si"
;
VALUE C9b33F /* C9b */
.= "missing"
0= "no"
1= "si"
;
VALUE C9c34F /* C9c */
.= "missing"
0= "no"
1= "si"
;
VALUE C9d35F /* C9d */
.= "missing"
0= "no"
1= "si"
;
VALUE C1036F /* C10a */
.= "missing"
0= "no"
1= "si"
;
VALUE C1037F /* C10b */
.= "missing"
0= "no"
1= "si"
;
VALUE C1038F /* C10c */
.= "missing"
0= "no"
1= "si"
;
VALUE C1039F /* C10d */
.= "missing"
0= "no"
1= "si"
;
VALUE C1040F /* C10e */
.= "missing"
0= "no"
1= "si"
;
VALUE C1041F /* C10f */
.= "missing"
0= "no"
1= "si"
;
VALUE D142F /* D1 */
.= "missing"
0= "no"
1= "si"
;
VALUE E143F /* E1 */
.= "missing"
0= "no"
1= "si"
;
VALUE E2a44F /* E2a */
.= "missing"
0= "no"
1= "si"
;
VALUE E2b45F /* E2b */
.= "missing"
0= "no"
1= "si"
;
VALUE F146F /* F1 */
.= "missing"
0= "no"
1= "si"
;
VALUE F2a47F /* F2a */
.= "missing"
0= "no"
1= "si"
;
VALUE F2b48F /* F2b */
.= "missing"
0= "no"
1= "si"
;
VALUE G149F /* G1 */
.= "missing"
0= "no"
1= "si"
;
VALUE G2a50F /* G2a */
.= "missing"
0= "no"
1= "si"
;
VALUE G2b51F /* G2b */
.= "missing"
0= "no"
1= "si"
;
VALUE G2c52F /* G2c */
.= "missing"
0= "no"
1= "si"
;
VALUE G353F /* G3 */
.= "missing"
1= "Nel corso degli ultimi 12 mesi"
2= "Pi di 12 mesi fa ma entro gli ultimi 24 mesi"
3= "Pi di 24 mesi fa"
;
VALUE I159F /* I1 */
.= "missing"
0= "no"
1= "si"
;
VALUE I260F /* I2 */
.= "missing"
0= "[0, 1)"
1= "[1, 2)"
2= "[2, 5)"
5= "[5, 10)"
10= "[10, 25)"
25= "[25,50)"
50= "[50, oltre 50)"
;
VALUE I4a63F /* I4a */
.= "missing"
0= "no"
1= "si"
;
VALUE I4b64F /* I4b */
.= "missing"
0= "no"
1= "si"
;
VALUE I4c65F /* I4c */
.= "missing"
0= "no"
1= "si"
;
VALUE I566F /* I5 */
.= "missing"
0= "no"
1= "si"
;
VALUE I667F /* I6 */
.= "missing"
0= "[0, 1)"
1= "[1, 2)"
2= "[2, 5)"
5= "[5, 10)"
10= "[10, 25)"
25= "[25,50)"
50= "[50, oltre 50)"
;
VALUE I7a68F /* I7a */
.= "missing"
0= "no"
1= "si"
;
VALUE I7b69F /* I7b */
.= "missing"
0= "no"
1= "si"
;
VALUE I7c70F /* I7c */
.= "missing"
0= "no"
1= "si"
;
VALUE I871F /* I8 */
.= "missing"
0= "no"
1= "si"
;
VALUE I972F /* I9 */
.= "missing"
1= "Meno dell1%"
2= "Tra l1% e meno del 5%"
3= "Tra il 5% e meno di 10%"
4= "Tra il 10% e meno di 25%"
5= "Tra il 25% e meno di 50%"
6= "Tra il 50% e meno di 75%"
7= "Dal 75% al 100%"
;
VALUE I1073F /* I10a */
.= "missing"
0= "no"
1= "si"
;
VALUE I1074F /* I10b */
.= "missing"
0= "no"
1= "si"
;
VALUE I1075F /* I10c */
.= "missing"
0= "no"
1= "si"
;
VALUE $Ate76F /* Ateco */
"A01" = "COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI"
"A02" = "SILVICOLTURA ED UTILIZZO DI AREE FORESTALI"
"A03" = "PESCA E ACQUACOLTURA"
"B05" = "ESTRAZIONE DI CARBONE (ESCLUSA TORBA)"
"B06" = "ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE"
"B07" = "ESTRAZIONE DI MINERALI METALLIFERI"
"B08" = "ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE"
"B09" = "ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE"
"C10" = "INDUSTRIE ALIMENTARI"
"C11" = "INDUSTRIA DELLE BEVANDE"
"C12" = "INDUSTRIA DEL TABACCO"
"C13" = "INDUSTRIE TESSILI"
"C14" = "CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA"
"C15" = "FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI"
"C16" = "INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO"
"C17" = "FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA"
"C18" = "STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI"
"C19" = "FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO"
"C20" = "FABBRICAZIONE DI PRODOTTI CHIMICI"
"C21" = "FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI"
"C22" = "FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE"
"C23" = "FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI"
"C24" = "METALLURGIA"
"C25" = "FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)"
"C26" = "FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI"
"C27" = "FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE"
"C28" = "FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA"
"C29" = "FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI"
"C30" = "FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO"
"C31" = "FABBRICAZIONE DI MOBILI"
"C32" = "ALTRE INDUSTRIE MANIFATTURIERE"
"C33" = "RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE"
"D35" = "FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA"
"E36" = "RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA"
"E37" = "GESTIONE DELLE RETI FOGNARIE"
"E38" = "ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI"
"E39" = "ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI"
"F41" = "COSTRUZIONE DI EDIFICI"
"F42" = "INGEGNERIA CIVILE"
"F43" = "LAVORI DI COSTRUZIONE SPECIALIZZATI"
"G45" = "COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI"
"G46" = "COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
"G47" = "COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)"
"H49" = "TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE"
"H50" = "TRASPORTO MARITTIMO E PER VIE D'ACQUA"
"H51" = "TRASPORTO AEREO"
"H52" = "MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI"
"H53" = "SERVIZI POSTALI E ATTIVIT DI CORRIERE"
"I55" = "ALLOGGIO"
"I56" = "ATTIVIT DEI SERVIZI DI RISTORAZIONE"
"J58" = "ATTIVIT EDITORIALI"
"J59" = "ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE"
"J60" = "ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE"
"J61" = "TELECOMUNICAZIONI"
"J62" = "PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE"
"J63" = "ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI"
"K64" = "ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)"
"K65" = "ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)"
"K66" = "ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE"
"L68" = "ATTIVIT IMMOBILIARI"
"M69" = "ATTIVIT LEGALI E CONTABILIT"
"M70" = "ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE"
"M71" = "ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE"
"M72" = "RICERCA SCIENTIFICA E SVILUPPO"
"M73" = "PUBBLICIT E RICERCHE DI MERCATO"
"M74" = "ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE"
"M75" = "SERVIZI VETERINARI"
"N77" = "ATTIVIT DI NOLEGGIO E LEASING OPERATIVO"
"N78" = "ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE"
"N79" = "ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE"
"N80" = "SERVIZI DI VIGILANZA E INVESTIGAZIONE"
"N81" = "ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO"
"N82" = "ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE"
"O84" = "AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA"
"P85" = "ISTRUZIONE"
"Q86" = "ASSISTENZA SANITARIA"
"Q87" = "SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE"
"Q88" = "ASSISTENZA SOCIALE NON RESIDENZIALE"
"R90" = "ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO"
"R91" = "ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI"
"R92" = "ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO"
"R93" = "ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO"
"S94" = "ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE"
"S95" = "RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA"
"S96" = "ALTRE ATTIVIT DI SERVIZI PER LA PERSONA"
"T97" = "ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO"
"T98" = "PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE"
"U99" = "ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI"
;
VALUE $mac77F /* mac */
"M1" = "MACROSETTORE MANIFATTURIERO"
"M2" = "MACROSETTORE ENERGIA"
"M3" = "MACROSETTORE COSTRUZIONI"
"M4" = "MACROSETTORE SERVIZI (NON FINANZIARI)"
;
VALUE $cla78F /* clad4 */
"cl1" = "10-49 addetti"
"cl2" = "50-99 addetti"
"cl3" = "100-249 addetti"
"cl4" = "250 e pi addetti"
;
VALUE $reg79F /* reg21 */
"01" = "Regione Piemonte"
"02" = "Regione Valle d'Aosta"
"03" = "Regione Lombardia"
"05" = "Regione Veneto"
"06" = "Regione Friuli-Venezia Giulia"
"07" = "Regione Liguria"
"08" = "Regione Emilia-Romagna"
"09" = "Regione Toscana"
"10" = "Regione Umbria"
"11" = "Regione Marche"
"12" = "Regione Lazio"
"13" = "Regione Abruzzo"
"14" = "Regione Molise"
"15" = "Regione Campania"
"16" = "Regione Puglia"
"17" = "Regione Basilicata"
"18" = "Regione Calabria"
"19" = "Regione Sicilia"
"20" = "Regione Sardegna"
"21" = "Provincia Autonoma Bolzano"
"22" = "Provincia Autonoma Trento"
;
VALUE $dom80F /* dom1 */
"N01" = "Dominio divisioni e gruppi Ateco 2007: 10+11+12"
"N02" = "Dominio divisioni e gruppi Ateco 2007: 13+14+15"
"N03" = "Dominio divisioni e gruppi Ateco 2007: 16+17+18"
"N04" = "Dominio divisioni e gruppi Ateco 2007: 19+20+21+22+23"
"N05" = "Dominio divisioni e gruppi Ateco 2007: 24+25"
"N06" = "Dominio divisioni e gruppi Ateco 2007: 26"
"N07" = "Dominio divisioni e gruppi Ateco 2007: 27+28"
"N08" = "Dominio divisioni e gruppi Ateco 2007: 29+30"
"N09" = "Dominio divisioni e gruppi Ateco 2007: 31+32+33"
"N10" = "Dominio divisioni e gruppi Ateco 2007: 35+36+37+38+39"
"N11" = "Dominio divisioni e gruppi Ateco 2007: 41+42+43"
"N12" = "Dominio divisioni e gruppi Ateco 2007: 45"
"N13" = "Dominio divisioni e gruppi Ateco 2007: 46"
"N14" = "Dominio divisioni e gruppi Ateco 2007: 47"
"N15" = "Dominio divisioni e gruppi Ateco 2007: 49+50+51+52"
"N16" = "Dominio divisioni e gruppi Ateco 2007: 53"
"N17" = "Dominio divisioni e gruppi Ateco 2007: 55"
"N18" = "Dominio divisioni e gruppi Ateco 2007: 56"
"N19" = "Dominio divisioni e gruppi Ateco 2007: 58"
"N20" = "Dominio divisioni e gruppi Ateco 2007: 59+60"
"N21" = "Dominio divisioni e gruppi Ateco 2007: 61"
"N22" = "Dominio divisioni e gruppi Ateco 2007: 62+63"
"N23" = "Dominio divisioni e gruppi Ateco 2007: 68"
"N24" = "Dominio divisioni e gruppi Ateco 2007: 69+70+71+72+73+74"
"N25" = "Dominio divisioni e gruppi Ateco 2007: 77+78+80+81+82"
"N26" = "Dominio divisioni e gruppi Ateco 2007: 79"
"N27" = "Dominio divisioni e gruppi Ateco 2007: 95.1"
;
VALUE I2I85F /* I2I6 */
.= "missing"
0= "[0, 1)"
1= "[1, 2)"
2= "[2, 5)"
5= "[5, 10)"
10= "[10, 25)"
25= "[25,50)"
50= "[50, oltre 50)"
;
format Ricavi Ric1F.;
format A1 A12F.;
format B1 B14F.;
format B2a B2a5F.;
format B2b B2b6F.;
format B3 B37F.;
format B4 B48F.;
format B5a B5a9F.;
format B5b B5b10F.;
format B5c B5c11F.;
format B5d B5d12F.;
format B5e B5e13F.;
format B5f B5f14F.;
format B5g B5g15F.;
format C1 C116F.;
format C3 C318F.;
format C4 C419F.;
format C5 C520F.;
format C7 C722F.;
format C8a C8a23F.;
format C8b C8b24F.;
format C8c C8c25F.;
format C8d C8d26F.;
format C8e C8e27F.;
format C8f C8f28F.;
format C8g C8g29F.;
format C8h C8h30F.;
format C8i C8i31F.;
format C9a C9a32F.;
format C9b C9b33F.;
format C9c C9c34F.;
format C9d C9d35F.;
format C10a C1036F.;
format C10b C1037F.;
format C10c C1038F.;
format C10d C1039F.;
format C10e C1040F.;
format C10f C1041F.;
format D1 D142F.;
format E1 E143F.;
format E2a E2a44F.;
format E2b E2b45F.;
format F1 F146F.;
format F2a F2a47F.;
format F2b F2b48F.;
format G1 G149F.;
format G2a G2a50F.;
format G2b G2b51F.;
format G2c G2c52F.;
format G3 G353F.;
format I1 I159F.;
format I2 I260F.;
format I4a I4a63F.;
format I4b I4b64F.;
format I4c I4c65F.;
format I5 I566F.;
format I6 I667F.;
format I7a I7a68F.;
format I7b I7b69F.;
format I7c I7c70F.;
format I8 I871F.;
format I9 I972F.;
format I10a I1073F.;
format I10b I1074F.;
format I10c I1075F.;
format Ateco $Ate76F.;
format mac $mac77F.;
format clad4 $cla78F.;
format reg21 $reg79F.;
format dom1 $dom80F.;
format I2I6 I2I85F.;
RUN;
